commit:     8c4a52977ba7204cdefc557104d91b2ba4404615
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 14 06:40:37 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 14 06:58:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c4a5297

dev-python/routes: Bump to 2.5.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/routes/Manifest            |  1 +
 dev-python/routes/routes-2.5.1.ebuild | 50 +++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/routes/Manifest b/dev-python/routes/Manifest
index b46845aae86..68ceaccf390 100644
--- a/dev-python/routes/Manifest
+++ b/dev-python/routes/Manifest
@@ -1 +1,2 @@
 DIST Routes-2.4.1.tar.gz 182403 BLAKE2B 
21a079616e1533af8fae44b0ad428b3309e5e8d1e27dddddbf3632cb3e1f5286225aec73246012a8c7c22d59d755be27f10fa09ab6ee6b34f71c6c540dfd36e4
 SHA512 
b0566f10ca83af0459e9c59fa2217bdc5ebf349d944396bcb21ffa731ad189c642e409381979cb5da3153630c24f20aa974a99711f16aca9f91413976af2bb04
+DIST Routes-2.5.1.tar.gz 190905 BLAKE2B 
e1498d0a26c7ebb1ee423ad211221f648d5bab4d37effac8c34a5f5189558a62c3ab34780f98f6a1620a261efc6085afd54f0827ac0e7a80217de7ae2226580a
 SHA512 
06ec9a8426ced86524096703de47e3da2fa08bd0ed8c962d451b4338966804245b5074077021fb58a5afcb63acd6dcffa05a89703b8b54841a69a4cdff12b755

diff --git a/dev-python/routes/routes-2.5.1.ebuild 
b/dev-python/routes/routes-2.5.1.ebuild
new file mode 100644
index 00000000000..57fb5a24ebc
--- /dev/null
+++ b/dev-python/routes/routes-2.5.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="Routes"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A re-implementation of Rails routes system, mapping URLs to 
Controllers/Actions"
+HOMEPAGE="https://routes.readthedocs.io/en/latest/ 
https://pypi.org/project/Routes/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc"
+
+RDEPEND="
+       >=dev-python/repoze-lru-0.3[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? ( dev-python/webob[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests nose
+distutils_enable_sphinx doc
+
+# The testsuite appears to be held back by the author
+
+# https://github.com/bbangert/routes/issues/42 presents a patch
+# for the faulty docbuild converted to sed stmnts
+python_prepare_all() {
+       # The default theme in sphinx switched to classic from shpinx-1.3.1
+       if has_version ">=dev-python/sphinx-1.3.1"; then
+               sed -e "s:html_theme_options = {:html_theme = 'classic'\n&:" \
+                       -i docs/conf.py || die
+       else
+               sed -e "s:html_theme_options = {:html_theme = 'default'\n&:" \
+                       -i docs/conf.py || die
+       fi
+       sed -e "s:changes:changes\n   todo:" \
+               -i docs/index.rst || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to